<template>
  <div>
    <slot v-if="ready"></slot>
  </div>
</template>

<script>
export default {
  name: 'leafletpane',

  props: {
    name: {
      type: String,
      required: true,
    },
    zindex: {
      type: Number,
      required: true
    }
  },

  data() {
    return { ready: false }
  },

  computed: {
    workspace: {
      get() {
        return this.$parent.workspace
      }
    },

    leafletMap: {
      get() {
        return this.$parent.leafletMap
      }
    },

    leafletPane: {
      get() {
        return this
      }
    },
  },

  methods: {
    create() {
      this.leafletMap.createPane(this.name)
      this.leafletMap.getPane(this.name).style.zIndex = this.zindex
    }
  },

  mounted() {
    this.create()
    this.ready = true
  }
}
</script>
